#
# spec file for package yast2-apparmor
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-apparmor
Version:        3.1.3
Release:        6.1
Summary:        YaST2 - Plugins for AppArmor Profile Management
Url:            https://github.com/yast/yast-apparmor
License:        GPL-2.0
Group:          Productivity/Security
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
Requires:       perl(Data::Dumper)
Requires:       perl(Encode)
Requires:       perl(Getopt::Long)
Requires:       perl(Immunix::AppArmor)
Requires:       perl(Immunix::Notify)
Requires:       perl(Locale::gettext)
Requires:       perl(POSIX)
Requires:       perl(ycp)
Requires:       perl-TimeDate
Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0
Obsoletes:      yast2-subdomain
Provides:       yast2-subdomain
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version} >= 1140
# openSUSE-11.4 or newer
BuildRequires:  perl-macros
%{perl_requires}
%endif

%description
Yast2 forms and components for the management of Novell AppArmor
profiles.

This package is part of a suite of tools that used to be named
SubDomain.

%prep
%setup -q

%build
%yast_build

%install
%yast_install


%files
%defattr(-,root,root)
%{_bindir}/*
%{yast_clientdir}
%{yast_yncludedir}/apparmor
%{yast_scrconfdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_agentdir}
%dir %{perl_vendorlib}/Immunix
%{perl_vendorlib}/Immunix/Notify.pm
%dir %{_sysconfdir}/apparmor
%config(noreplace) %{_sysconfdir}/apparmor/reports.crontab
%config(noreplace) %{_sysconfdir}/apparmor/reports.conf
%doc %{yast_docdir}

%changelog
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Mon Jun  2 2014 jreidinger@suse.com
- add translation for apparmor modes (bnc#878587)
- improvements of rpm spec file
- 3.1.2
* Fri May  9 2014 jreidinger@suse.com
- fix help text to match reality (bnc#876904)
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Mon Aug 19 2013 jreidinger@suse.com
- fix broken dialog in edit profiles
- drop reporting and profile generation tools (FATE#308684,308683)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Jul  1 2013 lslezak@suse.cz
- clean up include files - added missing imports, added missing
  top level {} blocks (Y2R compatibility)
- 2.24.0
* Thu Jan 10 2013 opensuse@cboltz.de
- don't create /var/log/apparmor/*/ in %%post (no longer needed)
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license GPL v2
- 2.22.3
* Wed Apr  4 2012 jsuchome@suse.cz
- fixed text labels (bnc#755539)
- 2.22.2
* Fri Nov 18 2011 opensuse@cboltz.de
- add Requires: for several perl modules
- 2.22.1
* Wed Nov 16 2011 jsuchome@suse.cz
- merged texts from proofreading
- 2.22.0
* Fri Sep 30 2011 jsrain@site
- fixed enabling/disabling apparmor
- fixed setting notifications (and enabling aaeventsd as part of
  global switch only)
- prevent profile generator from failing immediately
- prevent window from disappearing when starting a module
- don't close the module after running a report (bnc#531512)
- run the dialog to select application for profiling without
  pop-up (bnc#531512)
- disabled Reports part due to changes in AppArmor
- merged editation and deleting of a profile
- 2.21.5
* Thu Sep 22 2011 jreidinger@suse.com
- fix category of apparmor module (bnc#719386)
- 2.21.4
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Tue Aug  2 2011 jeffm@suse.de
- Rename files to use proper AppArmor names and abbreviations
- Change code to reflect new names
  - Basic version needed to use newer perl-apparmor. This version
    gets rid of the old SubDomain names entirely.
- Move yast2-apparmor.desktop to apparmor.desktop
* Fri Jul 22 2011 locilka@suse.cz
- Exec entry in desktop file called using xdg-su (bnc#540627)
- 2.21.2
* Thu Jun 30 2011 jreidinger@novell.com
- fix typos (bnc#702639)
- 2.21.1
* Tue Jun 14 2011 jreidinger@novell.com
- merge apparmor to one desktop entry (FATE#305278)
- fix typos in translatable strings
- 2.21.0
* Thu Feb 24 2011 lslezak@suse.cz
- use perl-macros only in opensSUSE 11.4 (or newer)
- 2.20.1
* Fri Feb 11 2011 opensuse@cboltz.de
- add BuildRequires: perl-macros and %%{perl_requires} to ensure
  Notify.pm is in @INC (bnc#670650#c1)
* Thu Sep  2 2010 kmachalkova@suse.cz
- Install Notify.pm into @INC so that Perl can see it (bnc#635830)
- 2.20.0
* Tue Apr  6 2010 juhliarik@suse.cz
- updated "names" in .desktop files for searching AppArmor related
  modules in YaST (bnc#590929)
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Mon Nov 23 2009 kmachalkova@suse.cz
- Improved help text (bnc#539352)
- Better error message on unexpected backend termination (bnc#535107)
- Correct saving of event notification levels (bnc#531512)
- 2.19.0
* Tue Oct 20 2009 kmachalkova@suse.cz
- Have GenericNames from .desktop files correctly translated (removed
  trailing whitespace - bnc#538245)
- 2.18.4
* Wed Mar 18 2009 kmachalkova@suse.cz
- Reduced number of overly long strings (bnc#384170)
- Extended some helptexts (bnc#482563, bnc#443287)
- 2.18.3
* Fri Mar  6 2009 kmachalkova@suse.cz
- AA profiles editor adjusted to the new format of parsed profile
  data (bnc#480099)
- 2.18.2
* Wed Feb 11 2009 kmachalkova@suse.cz
- Convert report names and modes to/from human readable strings
  (bnc#369119, bnc#371072)
- 2.18.1
* Mon Jan 19 2009 kmachalkova@suse.cz
- Handle switching between two textdomains (yast2-apparmor &
  apparmor-utils) so that strings from both are correctly translated
- 2.18.0
* Fri Nov 28 2008 kmachalkova@suse.cz
- Removed source of UI syntax error - invalid items listing
  (bnc#441510)
- Integrated jjohansen's patch for bnc#258079 (e-mail address
  validation)
- Make translatable strings from Perl agents really translated (and
  correctly encoded) (bnc#448390)
- 2.17.4
* Sat Oct 18 2008 aschnell@suse.de
- Fixed help text (bnc #436491)
- 2.17.3
* Mon Oct 13 2008 locilka@suse.cz
- Fixed help texts (bnc#430521).
- 2.17.2
* Tue Sep 16 2008 kmachalkova@suse.cz
- Have all clients understand 'help' commandline option
  (bnc#269891 & friends) (many thanks, stano)
- Reference to up-to-date docs (bnc#177615)
- 2.17.1
* Tue Jun 17 2008 kmachalkova@suse.cz
- AA reports: Do not mess up the whole dialog up when user decides
  to cancel 'Browse' operation ( pass 'nil' filename) (bnc#397851)
- Set the reporting dialog title correctly (bnc#397872)
- Reload subdomain upon exit from profile mode configuration dialog
  (if modified) (bnc#369249)
- Make adding hats to newly added (manually created) profiles work
  (bnc#397881)
- 2.17.0
* Thu May 29 2008 kmachalkova@suse.cz
- Have ag_subdomain and ag_subdomain_profiles understand `result
  command so they can be correctly terminated by y2base (bnc#393957)
- 2.16.4
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon May 12 2008 kmachalkova@suse.cz
- Make reportgen.pl executable again (opensuse.org svn migration
  regression - bnc#157814)
- Integrating jjohansen's patch for UI support of late AA backend
  features (FaTE#300560, FaTE#300571)
- 2.16.3
* Fri May  9 2008 kmachalkova@suse.cz
- Use button labels from Label:: module (thanks, msvec)
- Removed 2 widgets with the same ID ( AA general setup module failed
  to launch ) (bnc #383792)
- Removed other sources of YUI exceptions: correct opening/closing
  dialogs, fixed event loop, no 'nil' button labels
- 2.16.2
* Wed Apr  2 2008 kmachalkova@suse.cz
- i18n: additional strings marked for translation (bnc#371052)
- Archived reports: improved UI layout to prevent string cut-off
  (bnc#368175)
- Fixed typos (bnc#374628)
- 2.16.1
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Tue Jan 22 2008 kmachalkova@suse.cz
- Icons moved to yast2-theme package
- 2.16.0
* Mon Sep 17 2007 dreynolds@suse.de
- Fixes (#310454) to support new audit log format and new libapparmor1 - ddrewelow@suse.de
- Bug #305735 Add support for network toggles, append, and locking  to the YaST2
  EditProfile wizard.
- Bug 302588 - 1 CD KDE version fails to install apparmor-docs
* Tue Aug 21 2007 dreynolds@suse.de
- Updated spec to set theme-dir based on dist (openSUSE/sles)
* Mon Aug 20 2007 dreynolds@suse.de
- sbeattie@suse.de
  Fix for #212500 "y2controlcenter-gnome does not find AppArmor
  icons" and its duplicate #297243 "Missing YaST icon: All app armor
  icons".
* Mon Jul 30 2007 dreynolds@suse.de
- Numerous fixes for repository integration
* Mon Jul 16 2007 dreynolds@suse.de
- Add support for the AppArmor profile repository
  Fate: 300517
* Sat Nov 18 2006 ddrewelow@suse.de
- Fixed an untranslated string
* Fri Nov 17 2006 ddrewelow@suse.de
- Fixed usability and reporting bugs
  (bnc# 158599,171082,172624,173825)
* Tue Nov 14 2006 ddrewelow@suse.de
- Added the missing complain.scr to fix:
  https://bugzilla.novell.com/show_bug.cgi?id=219898
* Mon Nov 13 2006 ddrewelow@suse.de
- Fixes for notification bugs:
  - configuration of e-mail recipient not saved in YaST
    (bnc#177039)
  - AppArmour - Security event Notification - email address fails
    (bnc#190891)
  - AppArmor unable to enter ANY notification email address
    (bnc#198359)
* Fri Nov  3 2006 ddrewelow@suse.de
- Add complain/enforce profile state toggle
  Fate: 300719
* Mon Oct 16 2006 dreynolds@suse.de
- Add syntax checks for profiles and display error dialogs to user
  Fate: 300906
* Tue Sep 19 2006 aj@suse.de
- Adjust for theming change.
* Mon Jun  5 2006 dreynolds@suse.de
- Fixes for https://bugzilla.novell.com/show_bug.cgi?id=175388,
  https://bugzilla.novell.com/show_bug.cgi?id=172061. Added support
  for new profile syntax Px/Ux/m.
* Sun Apr  2 2006 dreynolds@suse.de
- Pickup fix for typo regression in profile_dialogs.ycp (thanks rudi)
- Remove libapparmor as a dependency for all yast wizards (#160518)
* Sun Apr  2 2006 ro@suse.de
- fix typo in subdomain/profile_dialogs.ycp
* Mon Mar 27 2006 jmichael@suse.de
- Split aaeventd startup into its own init script so we don't start
  daemons while in the "boot" runlevel (#158613)
- Fix broken notification help localization.
* Mon Mar 13 2006 dreynolds@suse.de
- Don't check for event DB intialization when running the audit report.
  (#155343)
- Remove localized text in apparmor.desktop - as the desktop translation
  is handled by the translation group.
  https://bugzilla.novell.com/show_bug.cgi?id=151509
- Changes the checks from /etc/subdomain.d to /etc/apparmor.d when
  validated manual selection of #includes in the "Edit Profile" wizard.
  (#152813)
- Replace yast2-devel build-requires with yast2 yast2-devtools
* Wed Feb 15 2006 dreynolds@suse.de
- Fixed typo in SD_EditProfie.ycp that was causing a syntax error in the wizard
* Mon Feb 13 2006 dreynolds@suse.de
- Include counter (and time) in ag_genprof logmark
- (sbeattie@suse.de) Install apparmor packages if not already installed (#137585)
- (sbeattie@suse.de) Remove direct dependency on apparmor packages
* Mon Feb  6 2006 sbeattie@suse.de
- Fix non-wrapping error-dialog (#146435)
- Enable/start aaeventd if notification is enabled
- (jmichael) Remove dead code
* Sun Jan 29 2006 sbeattie@suse.de
- Add svn repo number to tarball name
- (dreynolds) Removed AALite checks
- (dreynolds) Fix regex warning
- (dreynolds) Fix apparmor control panel to correctly tell if AA is
  enabled/disabled (#145955)
- disable autoyast support in aa configs (#116749)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 dreynolds@suse.de
-  Added code to process events from the audit system in addition to syslog
* Tue Jan 17 2006 dreynolds@suse.de
- Remove references to message catalog files - now provided by yast2-trans
* Fri Dec  9 2005 sbeattie@suse.de
- fix gettext/textdomain() calls to refer to new messages filename
- fix references to old package names within .po files
* Thu Dec  8 2005 sbeattie@suse.de
- rename package to yast2-apparmor
- relicense to GPL and LGPL for open source release
- reset version to 2.0-1
